com.here.msdkui.guidance

## Class GuidanceManeuverView.State

- java.lang.Object
- - com.here.msdkui.guidance.GuidanceManeuverView.State

- All Implemented Interfaces:
    android.os.Parcelable
  Enclosing class:
    GuidanceManeuverView

      public static class GuidanceManeuverView.State
      extends java.lang.Object
      implements android.os.Parcelable

  Represents all the supported guidance maneuver view states.

  Note - to compare the different states, please use `equals(Object)` method.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `android.os.Parcelable.ClassLoaderCreator<T>, android.os.Parcelable.Creator<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static android.os.Parcelable.Creator<GuidanceManeuverView.State>` | `CREATOR`
    `static GuidanceManeuverView.State` | `NO_DATA` Represents the default state of the view without maneuver data.
    `static GuidanceManeuverView.State` | `UPDATING` Represents a loading state where the view is awaiting maneuver data.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `State(GuidanceManeuverData data)` Represents a state where the view contains maneuver data.
    `protected` | `State(android.os.Parcel in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `describeContents()`
    `boolean` | `equals(java.lang.Object var1)`
    `GuidanceManeuverData` | `getData()` Gets the `GuidanceManeuverData` state used to populate the view.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `writeToParcel(android.os.Parcel dest, int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_DATA

          public static final GuidanceManeuverView.State NO_DATA

      Represents the default state of the view without maneuver data.

    - #### UPDATING

          public static final GuidanceManeuverView.State UPDATING

      Represents a loading state where the view is awaiting maneuver data.

    - #### CREATOR

          public static final android.os.Parcelable.Creator<GuidanceManeuverView.State> CREATOR

  - ### Constructor Detail

    - #### State

          public State(@NonNull
                       GuidanceManeuverData data)

      Represents a state where the view contains maneuver data.
      Parameters:
        `data` - `GuidanceManeuverData` to populate the view.

    - #### State

          protected State(android.os.Parcel in)

  - ### Method Detail

    - #### getData

          public GuidanceManeuverData getData()

      Gets the `GuidanceManeuverData` state used to populate the view.
      Returns:
        data `GuidanceManeuverData`.

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `android.os.Parcelable`

    - #### writeToParcel

          public void writeToParcel(android.os.Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `android.os.Parcelable`

    - #### toString

          @NonNull
          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object var1)

      Overrides:
        `equals` in class `java.lang.Object`